Skip to main content
GET
/
tag
/
{identifier}
Get tag by ID
curl --request GET \
  --url https://api.sendx.io/api/v1/rest/tag/{identifier} \
  --header 'X-Team-ApiKey: <api-key>'
import requests

url = "https://api.sendx.io/api/v1/rest/tag/{identifier}"

headers = {"X-Team-ApiKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Team-ApiKey': '<api-key>'}};

fetch('https://api.sendx.io/api/v1/rest/tag/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "tag_abc123def456ghi789",
  "name": "VIP Customer",
  "created": "2024-01-20T10:30:00Z",
  "updated": "2024-01-20T10:30:00Z"
}
{
"status": 401,
"message": "The Team ID or API Key specified is not valid"
}
{
"status": "error",
"message": "Resource not found"
}
{
"status": "error",
"message": "Request body is not in proper format"
}
{
"status": "error",
"message": "Internal server error occurred"
}

Authorizations

X-Team-ApiKey
string
header
required

Team API key for authentication. Find your API key in SendX Settings → Team API Key.

Example:

X-Team-ApiKey: your_team_api_key_here

Path Parameters

identifier
string
required

Tag identifier to retrieve

Pattern: ^(tag_)?[a-zA-Z0-9]{22}$

Response

✅ Tag retrieved successfully

id
string

Unique tag identifier with tag_ prefix

Pattern: ^tag_[a-zA-Z0-9]{22}$
Example:

"tag_abc123def456ghi789"

name
string

Tag name

Example:

"VIP Customer"

created
string<date-time>

Tag creation timestamp

Example:

"2024-01-20T10:30:00Z"

updated
string<date-time>

Tag last update timestamp

Example:

"2024-01-20T10:30:00Z"